---
title: Comparison of Misskey Forks
description: The Misskey family of Fediverse servers is quite large. While they all share a common origin there are some notable feature differences between them.
header: /assets/page/misskey-comparison/banner.png
header_alt: The Misskey wordmark in black on a white background with green circles
header_caption: Image from Misskey Hub, licensed under CC BY-SA 4.0.
footer: true
published: 2024-02-02T21:47:00.000+10:00
edited: 2024-05-15T12:48:00.000+10:00
---

This page aims to provide a rough timeline of each notable fork and a comparison of their features. The feature comparisons are for the latest stable releases of stable forks and development releases of developing/unmainted forks. If anything on this page is incorrect or out of date I'd appreciate if you could let me know: [@pancakes@cats.city](https://cats.city/@pancakes).

## Featured Forks

| Icon | Name | Version | Account | Website | Repository |
| - | - | - | - | - | - |
| ![Misskey icon](/assets/page/misskey-comparison/misskey.png) <!--rehype:class=icon--> | Misskey | 2024.3.1 | None | <https://misskey-hub.net/en/> | <https://github.com/misskey-dev/misskey> |
| ![FoundKey icon](/assets/page/misskey-comparison/foundkey.svg) <!--rehype:class=icon--> | FoundKey | v13.0.0-preview6 | None | None | <https://akkoma.dev/FoundKeyGang/FoundKey> |
| ![Firefish icon](/assets/page/misskey-comparison/firefish.svg) <!--rehype:class=icon--> | Firefish | v20240206 | [@firefish@info.firefish.dev](https://info.firefish.dev/@firefish) | None | <https://firefish.dev/firefish/firefish> |
| ![Iceshrimp icon](/assets/page/misskey-comparison/iceshrimp.png) <!--rehype:class=icon--> | Iceshrimp (JS) | v2023.12.7 | None | None | <https://iceshrimp.dev/iceshrimp/iceshrimp> |
| ![Sharkey icon](/assets/page/misskey-comparison/sharkey.png) <!--rehype:class=icon--> | Sharkey | 2024.3.3 | [@Sharkey@shonk.social](https://shonk.social/@Sharkey) | <https://joinsharkey.org/> | <https://activitypub.software/TransFem-org/Sharkey> |
| ![Catodon icon](/assets/page/misskey-comparison/catodon.ico) <!--rehype:class=icon--> | Catodon | 24.01-dev | [@catodon@catodon.social](https://catodon.social/@catodon) | None | <https://codeberg.org/catodon/catodon> |

### Iceshrimp

In previous versions of this page I referred to Iceshrimp (JS) as just "Iceshrimp". Iceshrimp (JS) is currently under a feature freeze as most of the development effort is going towards the rewrite, Iceshrimp.NET. However, Iceshrimp (JS) is not unmaintained and still receives security updates and is labeled as stable for this reason. Please be aware that when the timeline says "Iceshrimp" it is referring to Iceshrimp (JS), not Iceshrimp.NET. Iceshrimp.NET will not be included on this page as it is not a fork of Misskey. For more information about Iceshrimp (JS) and Iceshrimp.NET see the README in the repository linked above.

## Timeline of Events

The following chart is an approximate history of ActivityPub and Misskey. As well as the forks, their versioning, and differing states of activity.

```plaintext
2016-01-28  ActivityPub W3C First Public Working Draft

2017-02-06  Mastodon v1.0 (included for reference)

2018-04-19  Misskey v0.0.5018
             |
             | (peace in the Misskeyverse)
             |
2022-06-13  Misskey v12.111.1 ------------| (fork)
             |                            |
2022-07-19  Misskey v12.117.1             |
             |    | (fork)                |
2022-07-20   |   Calckey v12.117.1-calc   |
             |    |                       |
2022-08-05   |    |                      FoundKey v13.0.0-preview1
             |    |                       |
2023-06-05   |    |                      FoundKey v13.0.0-preview6
             |    |                       | (unmaintained)
             |    |
2023-06-25   |   Calckey v14.0.0-rc3  ----| (rebrand)
             |                            |
2023-07-20   |                           Firefish v1.0.0, v1.0.1 -| (fork)
             | (version scheme change)    |                       |
2023-09-14   |                            |                      Iceshrimp v2023.09.13-rc1
             |                            |                       |
2023-09-21  Misskey 2023.9.0-beta.10      |                       |
             |    | (fork)                |                       |
2023-10-07   |   Sharkey 2023.9.1.beta4   |                       |
             |    |                       |                       |
2023-11-14   |    |                       |                      Iceshrimp v2023.12.1
             |    |                       |                       |   | (fork)
2023-11-28   |    |                      Firefish v1.0.5-rc       |   |
             |    |                       | (unmaintained)        |   |
2024-01-09   |    |                       |                       |  Catodon 24.01-dev
             |    |                       | (transferred/revived) |   |
2024-02-06   |    |                      Firefish v20240206       |   |
             |    |                       |                       |   |
```

## Feature Compariosn

<table>
    <caption>Comparison of features between Misskey forks</caption>
    <thead>
        <tr>
            <th scope="col"></th>
            <th scope="col">Misskey</th>
            <th scope="col">FoundKey</th>
            <th scope="col">Firefish</th>
            <th scope="col">Iceshrimp (JS)</th>
            <th scope="col">Sharkey</th>
            <th scope="col">Catodon</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <th scope="row">Status</th>
            <td class="table-y">Stable</td>
            <td class="table-n">Unmaintained</td>
            <td class="table-y">Rolling release</td>
            <td class="table-y">Stable</td>
            <td class="table-y">Stable</td>
            <td class="table-p">In development</td>
        </tr>
        <tr>
            <th scope="row" colspan="7">General</th>
        </tr>
        <tr>
            <th scope="row">Authorized Fetch</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-p">Experimental</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Full Text Search</th>
            <td class="table-y">Built-in or MeiliSearch</td>
            <td class="table-p">ElasticSearch</td>
            <td class="table-p">Sonic, MeiliSearch, or ElasticSearch</td>
            <td class="table-y">Built-in</td>
            <td class="table-y">Built-in or MeiliSearch</td>
            <td class="table-y">Built-in</td>
        </tr>
        <tr>
            <th scope="row">Push Notifications</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Tutorial</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row" colspan="7">Integration</th>
        </tr>
        <tr>
            <th scope="row">Discord</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">GitHub</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Mastodon API</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-p">Partial</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">TensorFlow</th>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Webhook</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row" colspan="7">Timelines</th>
        </tr>
        <tr>
            <th scope="row">Antennas</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Bubble/Recommended</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Channels</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Social</th>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-p">Merged into Home</td>
        </tr>
        <tr>
            <th scope="row">User Lists</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row" colspan="7">Posts</th>
        </tr>
        <tr>
            <th scope="row">Federation</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Editing & History</th>
            <td class="table-n">Removed in 2023.10.0</td>
            <td class="table-p">View only</td>
            <td class="table-p">Editing only</td>
            <td class="table-p">Editing only</td>
            <td class="table-y">Yes</td>
            <td class="table-p">Editing only</td>
        </tr>
        <tr>
            <th scope="row">Favorite/Like Button</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Post Language</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Module Player</th>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Boost Visibility</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Report Posts</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row" colspan="7">Markdown</th>
        </tr>
        <tr>
            <th scope="row">Misskey Flavoured Markdown (MFM)</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row">[MFM] border</th>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row">[MFM] center</th>
            <td class="table-p">&lt;center&gt; only</td>
            <td class="table-p">&lt;center&gt; only</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-p">&lt;center&gt; only</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row">[MFM] fade</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row">[MFM] x4</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row">Per Note MFM Animation Toggle</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row">Markdown Lists</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row">Math Formulas</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td></td>
        </tr>
        <tr>
            <th scope="row" colspan="7">Users</th>
        </tr>
        <tr>
            <th scope="row">Avatar Decorations</th>
            <td class="table-p">Not federated</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-p">Not federated</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Profile Background</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Cat Mode & Speak as Cat</th>
            <td class="table-p">Cat Mode only</td>
            <td class="table-p">Cat Mode only</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Link Verification</th>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Roles</th>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">ListenBrainz Status</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Feeds</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Clips</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Gallery</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Pages</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Post Backfill</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Mute Users</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Block Users</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Report Users</th>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Disable Post Indexing</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Import/Export</th>
            <td class="table-y">All notes, Favorite notes, Followed users, User lists, Muted users, Blocked
                users, and Antennas</td>
            <td class="table-y">All posts, Followed users, User lists, Muted users, and Blocked users</td>
            <td class="table-y">All posts, Followed users, User lists, Muted users, and Blocked users</td>
            <td class="table-y">All posts, Followed users, User lists, Muted users, and Blocked users</td>
            <td class="table-y">All notes, Favorite notes, Followed users, User lists, Muted users, Blocked
                users, and Antennas</td>
            <td class="table-y">All posts, Followed users, User lists, Muted users, and Blocked users</td>
        </tr>
        <tr>
            <th scope="row">Post Import</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Mastodon+</td>
            <td class="table-n">No</td>
            <td class="table-y">Mastodon+, Pleroma, Akkoma, Misskey+, Firefish+, Twitter, Instagram, and
                Facebook</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">GDPR Data Subject Access Requests</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Migration</th>
            <td class="table-y">Yes</td>
            <td class="table-p">Receive only</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row" colspan="7">Moderation</th>
        </tr>
        <tr>
            <th scope="row">Approve Users</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
        </tr>
        <tr>
            <th scope="row">Silence Users</th>
            <td class="table-y">Yes</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
        <tr>
            <th scope="row">Mark User Media NSFW</th>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-n">No</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
            <td class="table-y">Yes</td>
        </tr>
    </tbody>
</table>

## Glossary

Brief descriptions of each feature listed above. I'm keeping them vague as they vary based on software and more broadly across the Fediverse.

### Legends

- **\[Software\]+:** Software plus forks.

### General

- **Authorized Fetch:** A security feature which requires remote instances to identify themselves when requesting information from the local instance. This makes it more difficult for remote instances to access information that they are not permitted to. [Read more](https://docs.joinmastodon.org/admin/config/#authorized_fetch)
- **Full Text Search:** Allows users to perform more advanced post searches. This may include filters for things as the user that made the post or if the post has an image.
- **Push Notifications:** Allows users to receive notifications when the website is not open.

### Integration

- **Mastodon API:** The API used by Mastodon. Allows users to use apps/clients that were made for Mastodon.
- **TensorFlow:** Mainly used by Misskey+ to automatically detect NSFW content.

### Timelines

- **Antennas:** One or more timelines that only show posts that fit certain criteria/filters.
- **Bubble/Recommended:** A timeline that only shows posts from instances that the admin manually approves.
- **Social:** Combined Home and Local timeline.
- **User Lists:** One or more timelines that only show users that are added to the timeline. Note: If you receive a follow request from an account named `@instance.actor@...` it most likely means a user from that instance that doesn't follow you is trying to add you to a list.

### Posts

- **Editing & History:** Allows users to make changes to their posts and to see a history of changes.
- **Module Player:** Allows users to upload and listen to module or tracker files.
- **Boost Visibility:** Allows users to change the visibility of their boosts between Public, Unlisted, Followers-only, and Local.

### Markdown

- **Misskey Flavoured Markdown (MFM):** A flavor of Markdown created by Misskey which allows for special formatting such as scale, text color, animation, and more.
- **MFM fade:** An animation for fading in and out content.
- **Per Note MFM Animation Toggle:** By default MFM animations are disabled. Posts with MFM animations will have a play/pause button that is initially paused.

### Users

- **Avatar Decorations:** "Stickers" that can be placed and resized on your profile picture.
- **Cat Mode & Speak as Cat:** Cat Mode adds cat ears to the user's profile picture. Speak as Cat modifies the appearance of posts to be more cat-like. For example "everyone" becomes "everynyan". If Speak as Cat is not a feature of the software then it is included as part of Cat Mode. This feature is taken *very seriously*.
- **Link Verification:** Verified links will show a checkmark next to them. This can help to verify that a user is who they say they are. [How to verify links](https://docs.joinmastodon.org/user/profile/#verification")
- **Roles:** Allows admins to control what certain groups of users can and can't do. Displays a role badge on the user profile.
- **ListenBrainz Status:** Displays what song the user is listening to. Similar to Last.fm.
- **Feeds:** Automatically generate RSS, Atom, and JSON feeds for public posts from public accounts.
- **Pages:** Allows users to attach documents to their profile with extra functionality compared to posts.
- **Post Backfill:** Older posts from remote users will be automatically downloaded to the local instance.
- **Disable Post Indexing:** Prevent posts from being indexed by search engines.
- **Import/Export:** Upload and download personal data to move it between accounts.
- **Post Import:** Allows the user to upload posts that were exported from other platforms. This copies the original post dates and may import attached media.
- **Migration/Move:** Move followers from an old account to a new account. This does not move followed users or other data, see: Import/Export.

### Moderation

- **Approve Users:** If enabled users will need to provide a reason why they are registering. Moderators can then approve or deny a user's account registration.
- **Mark User Media NSFW:** Allows moderators to mark some or all of a user's media as Not Safe For Work.

## Special Thanks

### Corrections

- [@Amelia@transfem.social](https://transfem.social/@Amelia")
- [@blueb@eepy.zone](https://eepy.zone/@blueb")
- [@frost@wolfdo.gg](https://wolfdo.gg/@frost")
- [@jeder@miau.jeder.pl](https://miau.jeder.pl/@jeder")
- [@jegler@heckin.how](https://heckin.how/@jegler")
- [@lewdum@heckin.how](https://heckin.how/@lewdum")
- [@Marie@dev.joinsharkey.org](https://dev.joinsharkey.org/@Marie")
- [@netbat@catodon.social](https://catodon.social/@netbat")
- [@privateger@plasmatrap.com](https://plasmatrap.com/@privateger")
- [@vavency@kitsunes.club](https://kitsunes.club/@vavency")
- [@Weeble@bungle.online](https://bungle.online/@Weeble")

<style>
    img.icon {
        width: 2em;
    }
</style>
